Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86023 - Remote DOS on Bind 9.2.1
Summary: Remote DOS on Bind 9.2.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 8.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 16:06 UTC by Cory Jaeger
Modified: 2007-03-27 04:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-13 13:12:32 UTC


Attachments (Terms of Use)

Description Cory Jaeger 2003-03-12 16:06:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
On our DNS server, bind v9.2.1 is easily crashed by running the Nessus
vulnerability scanner with all tests (not only safe tests) selected.  In
testing, the named service crashed consistently each time it was tested.  The
service would either crash immediately or within 30 seconds.

After downloading, compiling and installing BIND v9.2.2, the service no longer
crashes.  An upgrade RPM should be fairly trivial to produce.  When configured
and compiled with options matching the Red Hat 8.0 directory tree, I was able to
upgrade without any changes to my BIND configuration.

Version-Release number of selected component (if applicable):
bind-utils-9.2.1-9

How reproducible:
Always

Steps to Reproduce:
1. Download and install the Nessus vulnerability scanner (nessus.org)
2. Run named v9.2.1 on RH8 (possibly other versions)
3. Run Nessus and select ALL tests
4. Select the IP of the DNS server and scan
    

Actual Results:  Named service crashes within 30 seconds.

Expected Results:  Nothing

Additional info:

Comment 1 Daniel Walsh 2003-03-13 13:12:32 UTC
The bind-9.2.2 package is done but it is being held up from going to rawhide,
because of some unrelated problems.

Dan


Note You need to log in before you can comment on or make changes to this bug.